.TH "Device list XML parsing" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
Device list XML parsing \- 
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBdiscover_xml_merge_device_url\fP (\fBdiscover_device_t\fP **dlist, char *url, \fBdiscover_xml_busclass_t\fP *busclasses, \fBdiscover_xml_vendor_t\fP *vendors, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_get_devices\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_devices\fP (void)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_find_device\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_find_next_device\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_device_t\fP * \fBdiscover_xml_get_matching_devices\fP (\fBdiscover_device_t\fP *xml_devices, char *target_vendor, char *target_model, \fBdiscover_error_t\fP *status)"
.br
.in -1c
.SH "Function Documentation"
.PP 
.SS "\fBdiscover_device_t\fP* discover_xml_find_device (\fBdiscover_device_t\fP * xml_devices, char * target_vendor, char * target_model, \fBdiscover_error_t\fP * status)"
.PP
Find the first device in xml_devices matching target_vendor and/or target_model. (One or both can be specified, but not zero.)
.PP
\fBParameters:\fP
.RS 4
\fIxml_devices\fP List of devices to search 
.br
\fItarget_vendor\fP Vendor for which to search 
.br
\fItarget_model\fP Model for which to search 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 550 of file device-xml.c.
.PP
Referenced by discover_xml_find_next_device(), and discover_xml_get_matching_devices().
.SS "\fBdiscover_device_t\fP* discover_xml_find_next_device (\fBdiscover_device_t\fP * xml_devices, char * target_vendor, char * target_model, \fBdiscover_error_t\fP * status)"
.PP
Find the next device in xml_devices matching target_vendor and/or target_model. (One or both can be specified, but not zero.)
.PP
The first device in the list is assumed to have been processed, so we simply call \fBdiscover_xml_find_device()\fP on the next pointer.
.PP
\fBParameters:\fP
.RS 4
\fIxml_devices\fP List of devices to search 
.br
\fItarget_vendor\fP Vendor for which to search 
.br
\fItarget_model\fP Model for which to search 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 594 of file device-xml.c.
.PP
References discover_xml_find_device().
.PP
Referenced by discover_xml_get_matching_devices().
.SS "void discover_xml_free_devices (void)"
.PP
Free the list of XML devices. 
.PP
Definition at line 531 of file device-xml.c.
.PP
References BUS_COUNT, and discover_device_free().
.SS "\fBdiscover_device_t\fP* discover_xml_get_devices (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP * status)"
.PP
Get the list of devices for the required bus.
.PP
\fBParameters:\fP
.RS 4
\fIbus\fP Bus for which the devices are requested 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 484 of file device-xml.c.
.PP
References discover_error::code, discover_xml_get_busclasses(), discover_xml_get_data_urls(), discover_xml_get_vendors(), discover_xml_merge_device_url(), discover_xml_url_get_next(), and discover_xml_url_get_url().
.PP
Referenced by discover_get_devices().
.SS "\fBdiscover_device_t\fP* discover_xml_get_matching_devices (\fBdiscover_device_t\fP * xml_devices, char * target_vendor, char * target_model, \fBdiscover_error_t\fP * status)"
.PP
Find and duplicate all devices in xml_devices matching target_vendor and/or target_model. (One or both can be specified, but not zero.)
.PP
\fBParameters:\fP
.RS 4
\fIxml_devices\fP List of devices to search 
.br
\fItarget_vendor\fP Vendor for which to search 
.br
\fItarget_model\fP Model for which to search 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 614 of file device-xml.c.
.PP
References discover_device_copy(), discover_device_new(), discover_xml_find_device(), and discover_xml_find_next_device().
.PP
Referenced by discover_get_devices().
.SS "void discover_xml_merge_device_url (\fBdiscover_device_t\fP ** dlist, char * url, \fBdiscover_xml_busclass_t\fP * busclasses, \fBdiscover_xml_vendor_t\fP * vendors, \fBdiscover_error_t\fP * status)"
.PP
Merge new busclasses into a list.
.PP
\fBParameters:\fP
.RS 4
\fIdlist\fP Address of the list to merge busclasses into 
.br
\fIurl\fP URL of the document defining the busclasses 
.br
\fIbusclasses\fP List of busclasses for this bus 
.br
\fIvendors\fP List of vendors for this bus 
.br
\fIstatus\fP Address in which to place status report 
.RE
.PP

.PP
Definition at line 425 of file device-xml.c.
.PP
References discover_error::code, DISCOVER_EIO, and DISCOVER_EXML.
.PP
Referenced by discover_xml_get_devices().
